Summary:	Fixed bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe o stałej szerokości
Name:		xorg-font-font-misc-misc
Version:	1.1.3
Release:	1
License:	Public Domain
Group:		Fonts
Source0:	https://xorg.freedesktop.org/releases/individual/font/font-misc-misc-%{version}.tar.xz
# Source0-md5:	145128c4b5f7820c974c8c5b9f6ffe94
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fixed bitmap fonts. Main package contains Unicode fonts, Japanese k14
font and nil2 font.

%description -l pl.UTF-8
Fonty bitmapowe o stałej szerokości znaków (fixed). Główny pakiet
zawiera fonty unikodowe, japoński font k14 i font nil2.

%package base
Summary:	Base font (fixed)
Summary(pl.UTF-8):	Podstawowy font (fixed)
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
Obsoletes:	XFree86-fonts-base <= 1:7.0.0

%description base
Base font (fixed) needed to start X server.

%description base -l pl.UTF-8
Podstawowy font (fixed) niezbędny do uruchomienia serwera X.

%package ISO8859-1
Summary:	ISO-8859-1 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-1
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
Requires:	%{name}-base = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-1 < 1:7.0.0

%description ISO8859-1
ISO-8859-1 basic raster fonts.

%description ISO8859-1 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-1.

%package ISO8859-2
Summary:	ISO-8859-2 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-2
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-2 < 1:7.0.0

%description ISO8859-2
ISO-8859-2 basic raster fonts.

%description ISO8859-2 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-2.

%package ISO8859-3
Summary:	ISO-8859-3 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-3
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-3 < 1:7.0.0

%description ISO8859-3
ISO-8859-3 basic raster fonts.

%description ISO8859-3 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-3.

%package ISO8859-4
Summary:	ISO-8859-4 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-4
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-4 < 1:7.0.0

%description ISO8859-4
ISO-8859-4 basic raster fonts.

%description ISO8859-4 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-4.

%package ISO8859-5
Summary:	ISO-8859-5 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-5
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-5 < 1:7.0.0

%description ISO8859-5
Basic ISO-8859-5 raster fonts.

%description ISO8859-5 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-5.

%package ISO8859-7
Summary:	ISO-8859-7 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-7
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-7 < 1:7.0.0

%description ISO8859-7
ISO-8859-7 basic raster fonts.

%description ISO8859-7 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-7.

%package ISO8859-8
Summary:	ISO-8859-8 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-8
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-8 < 1:7.0.0

%description ISO8859-8
ISO-8859-8 basic raster fonts.

%description ISO8859-8 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-8.

%package ISO8859-9
Summary:	ISO-8859-9 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-9
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-9 < 1:7.0.0

%description ISO8859-9
ISO-8859-9 basic raster fonts.

%description ISO8859-9 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-9.

%package ISO8859-10
Summary:	ISO-8859-10 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-10
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-10 < 1:7.0.0

%description ISO8859-10
ISO-8859-10 basic raster fonts.

%description ISO8859-10 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-10.

%package ISO8859-11
Summary:	ISO-8859-11 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-11
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-11 < 1:7.0.0

%description ISO8859-11
ISO-8859-11 basic raster fonts.

%description ISO8859-11 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-11.

%package ISO8859-13
Summary:	ISO-8859-13 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-13
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-13 < 1:7.0.0

%description ISO8859-13
ISO-8859-13 basic raster fonts.

%description ISO8859-13 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-13.

%package ISO8859-14
Summary:	ISO-8859-14 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-14
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-14 < 1:7.0.0

%description ISO8859-14
ISO-8859-14 basic raster fonts.

%description ISO8859-14 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-14.

%package ISO8859-15
Summary:	ISO-8859-15 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-15
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-15 < 1:7.0.0

%description ISO8859-15
ISO-8859-15 basic raster fonts.

%description ISO8859-15 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-15.

%package ISO8859-16
Summary:	ISO-8859-16 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-16
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-16 < 1:7.0.0

%description ISO8859-16
ISO-8859-16 basic raster fonts.

%description ISO8859-16 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-16.

%package KOI8-R
Summary:	KOI8-R basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe KOI8-R
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-KOI8-R < 1:7.0.0
Conflicts:	xorg-font-font-misc-misc <= 1.1.0-1

%description KOI8-R
KOI8-R basic raster fonts.

%description KOI8-R -l pl.UTF-8
Podstawowe fonty rastrowe KOI8-R.

%prep
%setup -q -n font-misc-misc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--build=%{_host} \
	--host=%{_host} \
%endif
	--with-fontdir=%{_fontsdir}/misc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%post base
fontpostinst misc

%postun base
fontpostinst misc

%post ISO8859-1
fontpostinst misc

%postun ISO8859-1
fontpostinst misc

%post ISO8859-2
fontpostinst misc

%postun ISO8859-2
fontpostinst misc

%post ISO8859-3
fontpostinst misc

%postun ISO8859-3
fontpostinst misc

%post ISO8859-4
fontpostinst misc

%postun ISO8859-4
fontpostinst misc

%post ISO8859-5
fontpostinst misc

%postun ISO8859-5
fontpostinst misc

%post ISO8859-7
fontpostinst misc

%postun ISO8859-7
fontpostinst misc

%post ISO8859-8
fontpostinst misc

%postun ISO8859-8
fontpostinst misc

%post ISO8859-9
fontpostinst misc

%postun ISO8859-9
fontpostinst misc

%post ISO8859-10
fontpostinst misc

%postun ISO8859-10
fontpostinst misc

%post ISO8859-11
fontpostinst misc

%postun ISO8859-11
fontpostinst misc

%post ISO8859-13
fontpostinst misc

%postun ISO8859-13
fontpostinst misc

%post ISO8859-14
fontpostinst misc

%postun ISO8859-14
fontpostinst misc

%post ISO8859-15
fontpostinst misc

%postun ISO8859-15
fontpostinst misc

%post ISO8859-16
fontpostinst misc

%postun ISO8859-16
fontpostinst misc

%post KOI8-R
fontpostinst misc

%postun KOI8-R
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%{_fontsdir}/misc/4x6.pcf.gz
%{_fontsdir}/misc/5x7.pcf.gz
%{_fontsdir}/misc/5x8.pcf.gz
%{_fontsdir}/misc/6x9.pcf.gz
%{_fontsdir}/misc/6x10.pcf.gz
%{_fontsdir}/misc/6x12.pcf.gz
%{_fontsdir}/misc/6x13.pcf.gz
%{_fontsdir}/misc/6x13[BO].pcf.gz
%{_fontsdir}/misc/7x13.pcf.gz
%{_fontsdir}/misc/7x13[BO].pcf.gz
%{_fontsdir}/misc/7x14.pcf.gz
%{_fontsdir}/misc/7x14-JISX0201.1976-0.pcf.gz
%{_fontsdir}/misc/7x14B.pcf.gz
%{_fontsdir}/misc/8x13.pcf.gz
%{_fontsdir}/misc/8x13[BO].pcf.gz
%{_fontsdir}/misc/9x15.pcf.gz
%{_fontsdir}/misc/9x15B.pcf.gz
%{_fontsdir}/misc/9x18.pcf.gz
%{_fontsdir}/misc/9x18B.pcf.gz
%{_fontsdir}/misc/10x20.pcf.gz
%{_fontsdir}/misc/12x13ja.pcf.gz
%{_fontsdir}/misc/18x18ja.pcf.gz
%{_fontsdir}/misc/18x18ko.pcf.gz
%{_fontsdir}/misc/k14.pcf.gz
%{_fontsdir}/misc/nil2.pcf.gz

%files base
%defattr(644,root,root,755)
%{_fontsdir}/misc/6x13-ISO8859-1.pcf.gz
%ghost %{_fontsdir}/misc/fonts.dir

%files ISO8859-1
%defattr(644,root,root,755)
%{_fontsdir}/misc/[45]x*-ISO8859-1.pcf.gz
%{_fontsdir}/misc/6x9-ISO8859-1.pcf.gz
%{_fontsdir}/misc/6x10-ISO8859-1.pcf.gz
%{_fontsdir}/misc/6x12-ISO8859-1.pcf.gz
%{_fontsdir}/misc/6x13[BO]-ISO8859-1.pcf.gz
%{_fontsdir}/misc/[789]x*-ISO8859-1.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-1.pcf.gz

%files ISO8859-2
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-2.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-2.pcf.gz

%files ISO8859-3
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-3.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-3.pcf.gz

%files ISO8859-4
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-4.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-4.pcf.gz

%files ISO8859-5
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-5.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-5.pcf.gz

%files ISO8859-7
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-7.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-7.pcf.gz

%files ISO8859-8
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-8.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-8.pcf.gz

%files ISO8859-9
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-9.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-9.pcf.gz

%files ISO8859-10
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-10.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-10.pcf.gz

%files ISO8859-11
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-11.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-11.pcf.gz

%files ISO8859-13
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-13.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-13.pcf.gz

%files ISO8859-14
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-14.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-14.pcf.gz

%files ISO8859-15
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-15.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-15.pcf.gz

%files ISO8859-16
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-ISO8859-16.pcf.gz
%{_fontsdir}/misc/10x20-ISO8859-16.pcf.gz

%files KOI8-R
%defattr(644,root,root,755)
%{_fontsdir}/misc/[456789]x*-KOI8-R.pcf.gz
%{_fontsdir}/misc/10x20-KOI8-R.pcf.gz
%changelog
* Fri Mar 03 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-font-font-misc-misc.git;a=log;h=master

* Thu Mar 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 94a5a42
- updated to 1.1.3

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> d83d901
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 5774ef2
- dropped pre-cvs changelog

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 8fb4112
- updated to 1.1.2

* Wed Oct 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 73eb4b4
- updated to 1.1.1

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 78cb0f9
- --build/--host compatible with rpm both 4.4/4.5
- util-macros version
- added AUTHORS and README to doc, more verbose file lists
- separated KOI8-R fonts subpackage (like it was done in XFree86 before)
- release 2

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b879528
- up to 1.1.0

* Sun Oct 21 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 51a5c24
- BA: noarch
- release 5

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> a843a43
- require font-alias with fontpostinst support

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 67183b5
- mention KOI8-R fonts in main package

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> e14fff3
- release 4

* Mon Apr 30 2007 Jakub Bogusz <qboosh@pld-linux.org> e360f9c
- cleanup (ISO8859-6 or ISO8859-12 fonts never existed in XFree86/Xorg)
- R: font-alias where it provides some useful aliases;
  thus removed custom alias file from -base (entry included in font-alias)
- ISO8859-1 R: -base ("fixed" is one of ISO8859-1 fonts)

* Tue Feb 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a4c182f
- rebuild

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bc0f831
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1c5d1d2
- converted to UTF-8

* Sat Jan 13 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> fe93a75
- rel 2; rebuild

* Sun Jan 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bde55a
- rel 1; obsolete only AC X11

* Tue Feb 28 2006 wrobell <wrobell@pld-linux.org> 182c296
- added fixed font to base subpackage

* Sat Feb 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 0700b1d
- proper encoding

* Mon Feb 13 2006 wrobell <wrobell@pld-linux.org> b8c56ed
- fonts separated using X11-fonts.spec

